Subject: Why doesn't git commit -a track new files

From: Marco <[email-masked]>
Date: Thu, 24 Feb 2011 11:22:46 +0100

Hi,

I'm new to git and a bit confused about how some commands work.

git add .                    -- Adds everything *but* deleted files
git add -A                   -- Adds everything
git commit -a -m "whatever"  -- Commits everything *but* new files

I don't understand why there's not switch (is there?) for commit to commit new
and deleted files, like -A for git add? Is the only thing to do this sth like

git add -A && git commit -m "Message"

Marco